Name: blitz
Version: 0.9
Release: 3%{?dist}
Summary: C++ class library for matrix scientific computing

Group: Development/Libraries
License: GPLv2
URL: http://www.oonumerics.org/blitz
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: doxygen graphviz

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
Blitz++ is a C++ class library for scientific computing which provides 
performance on par with Fortran 77/90. It uses template techniques to achieve 
high performance. Blitz++ provides dense arrays and vectors, random number 
generators, and small vectors

%package devel
Summary: Libraries, includes, etc. used to develop an application with %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
%description devel
This are the header files and libraries needed to develop a %{name}
application

%package doc
Summary: The Blitz html docs
Group: Documentation
%description doc
HTML documentation files for the Blitz Library

%prep
%setup -q

%build
%configure --enable-shared --disable-static --disable-fortran
%{__make} %{?_smp_mflags}

%install
%{__rm} -fr %{buildroot}
%{__make} DESTDIR=%{buildroot} install
%{__rm} -rf doc/doxygen/html/installdox
# There are some empty files in doc, remove before copying in doc
(find -empty | xargs rm)
# Put in doc only the source code
%{__rm} -rf examples/.deps

%check
%{__make} %{?_smp_mflags} check-testsuite

%clean
%{__rm} -fr %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS LEGAL COPYING README LICENSE
%{_libdir}/*so.*

%files devel
%defattr(-,root,root,-)
%doc AUTHORS LEGAL COPYING README LICENSE examples
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_infodir}/*
%exclude %{_libdir}/*.la
%exclude %{_infodir}/dir
%exclude %{_libdir}/pkgconfig/blitz-uninstalled.pc

%files doc
%doc AUTHORS LEGAL COPYING README LICENSE
%defattr(-,root,root,-)
%doc doc/doxygen/html 


%changelog
* Wed Oct 17 2007 Sergio Pascual<spr@astrax.fis.ucm.es> 0.9-3
- Removed macro in changelog
* Tue Oct 16 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 0.9-2
- Excluding /usr/share/info/dir
* Wed Oct 03 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 0.9-1
- Changed wrong date in changelog
- Changed license to gplv2 (some .h files haven't got the license text)
- Changed _datadir/info/* to _infodir/%%{name}*
* Thu Oct 02 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 0.9-0.2
- Adding requires pkgconfig
- Changed license tag
- Removing requires(pre,un)
* Thu May 03 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 0.9-0.1
- Initial RPM file
